Package com.io7m.coffeepick.runtime

# Enum RuntimeArchitectures

java.lang.Object
java.lang.Enum<RuntimeArchitectures>
com.io7m.coffeepick.runtime.RuntimeArchitectures

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RuntimeArchitectures>`, `java.lang.constant.Constable`

    public enum RuntimeArchitectures
    extends java.lang.Enum<RuntimeArchitectures>

Standard names for architectures.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `AARCH_64` | 64-bit ARM
  `ARM32_HFLT` | 32-bit ARM with hardware floating point.
  `PPC64_BE` | PowerPC 64-bit Big-Endian
  `PPC64_LE` | PowerPC 64-bit Little-Endian
  `S390X` | S390X
  `X32` | 32-bit x86
  `X64` | 64-bit x86

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `architectureName()` |
  `static RuntimeArchitectures` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static RuntimeArchitectures[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### X32

    public static final RuntimeArchitectures X32
    32-bit x86

  - ### X64

    public static final RuntimeArchitectures X64
    64-bit x86

  - ### S390X

    public static final RuntimeArchitectures S390X
    S390X

  - ### PPC64_LE

    public static final RuntimeArchitectures PPC64_LE
    PowerPC 64-bit Little-Endian

  - ### PPC64_BE

    public static final RuntimeArchitectures PPC64_BE
    PowerPC 64-bit Big-Endian

  - ### AARCH_64

    public static final RuntimeArchitectures AARCH_64
    64-bit ARM

  - ### ARM32_HFLT

    public static final RuntimeArchitectures ARM32_HFLT
    32-bit ARM with hardware floating point.

- ## Method Details

  - ### values

    public static RuntimeArchitectures[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RuntimeArchitectures valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### architectureName

    public java.lang.String architectureName()
    Returns:
      The name of the architecture